Can't join server

Discussion in 'Questions' started by JacqueRex09, Mar 12, 2019.

  1. JacqueRex09

    JacqueRex09 Peasant

    Joined:
    Sep 7, 2015
    Messages:
    2
    Likes Received:
    0
    Ratings:
    +0
    Hi, I can't join the server because it says v1.7+ in red? My Minecraft is 1.13.2 so it's the newest one, any reason why it's not working
     
  2. RaiderEvo

    RaiderEvo Backpacker

    Joined:
    Nov 17, 2016
    Messages:
    133
    Likes Received:
    14
    Ratings:
    +50
    Some of the newest versions are not compatible try using versions 1.8-1.12
     
  3. Rain

    Rain Nobility

    Joined:
    Nov 26, 2014
    Messages:
    2,011
    Likes Received:
    639
    Ratings:
    +1,381
    You might have to switch versions to 1.8.9 as that is what version the server is on.

    http://www.minecraftmaps.com/info/how-to-change-your-minecraft-version Refer to this for more.

    I’d also recommend trying to go on play.desteria.com as that is another proxy desteria uses. Someone had this issue aswell and playing on a different IP fixed it, so it might be worth a shot.
     
    #3 Rain, Mar 12, 2019
    Last edited: Mar 12, 2019
  4. Cansky

    Cansky Administrator
    Staff Member Administrator Content Team

    Joined:
    Jan 22, 2015
    Messages:
    1,572
    Likes Received:
    922
    Ratings:
    +1,338
    Cansky
    Hello, have you solved this issue? If so, I'll close the thread. Any other questions you would like to ask you can create another thread or ask here before it's closed.